# Amuse: amuse::AudioGroupData Class Reference

amuse::AudioGroupData Class Reference

`#include <AudioGroupData.hpp>`

Inheritance diagram for amuse::AudioGroupData:
Collaboration diagram for amuse::AudioGroupData:

## Public Member Functions

| AudioGroupData (unsigned char *proj, unsigned char *pool, unsigned char *sdir, unsigned char *samp)
const unsigned char * | getProj () const
const unsigned char * | getPool () const
const unsigned char * | getSdir () const
const unsigned char * | getSamp () const

## Protected Attributes

unsigned char * | m_proj
unsigned char * | m_pool
unsigned char * | m_sdir
unsigned char * | m_samp

## Detailed Description

Simple pointer-container of the four Audio Group chunks

Definition at line 8 of file AudioGroupData.hpp.

The documentation for this class was generated from the following file:

- include/amuse/AudioGroupData.hpp